Subject: Re: Bug#606007: GSSAPI: Modifications to chroot.

From: Michael Tokarev <[email-masked]>
Date: Mon, 2 Dec 2024 10:06:46 +0300

Control: retitle -1 [chroot] GSSAPI: Modifications to chroot.

On Wed, 12 Feb 2014 20:21:22 -0500 Craig <[email-masked]> wrote:
> I filed a bug against the Ubuntu version of this package here
> https://bugs.launchpad.net/ubuntu/+source/postfix/+bug/1279116
> 
> They suggested raising the issue in the Debian package system as the chroot
> comes from the upstream Debian package.  And I came across this bug.
> 
> I was able to figure out all of the configuration files necessary in the
> chroot as I have several other services configured in a similar way, but
> the lack of the /var/tmp directory really took some digging to figure out.
>  Would it be possible to include the creation of such a directory in the
> package installation?
The root cause of all this is running postfix chrooted by default in debian,
which has been strongly advised against by the upstream countless number of
times over the years.

I'm marking all such bugs to have [chroot] prefix in the bts.

Thanks,

/mjt